steamrt (4.20251001.0) steamrt4; urgency=medium

  * SDK: Add libjson-perl, libjson-xs-perl, libutfcpp-dev
    (steamrt/tasks#812)

 -- Simon McVittie <smcv@collabora.com>  Wed, 01 Oct 2025 18:48:04 +0100

steamrt (4.20250904.0) steamrt4; urgency=medium

  * SDK: Add python3-requests (steamrt/tasks#799)

 -- Simon McVittie <smcv@collabora.com>  Thu, 04 Sep 2025 18:19:30 +0100

steamrt (4.20250818.0) steamrt4; urgency=medium

  * steamrt-container: Add steamrt-archive-keyring.
    This will allow us to do a graceful rollover of the archive signing
    key, by setting a new key as trusted during upgrades.
    (steamrt/tasks#751)
  * steamrt-container-host-compat: Create a symlink for flatpak-spawn.
    Toolbx wants to have `flatpak-spawn --host` available.
  * Move netbase dependency from steamrt-toolbx back to steamrt-container.
    Toolbx doesn't actually document a need for this. The justification
    for adding it to the runtime was ValveSoftware/steam-runtime#515.
  * Move creation of /etc/krb5.conf.d from steamrt-dev to steamrt-toolbx.
    The original justification for adding this was because Toolbx wants it.
  * d/steamrt-toolbx.dirs, .postinst: Create some empty directories.
    We create /home programmatically rather than by registering it with
    dpkg, since it is outside the package manager's "owned" directories.

 -- Simon McVittie <smcv@collabora.com>  Mon, 18 Aug 2025 19:44:54 +0100

steamrt (4.20250610.0) steamrt4; urgency=medium

  * SDK: Install a specific implementation of sopv (Debian#1107155)

 -- Simon McVittie <smcv@collabora.com>  Tue, 10 Jun 2025 20:24:31 +0100

steamrt (4.20250530.0) steamrt4; urgency=medium

  * ABI:
    - Add libEGL.so.1.
      This won't usually be used in practice, because pressure-vessel
      will typically take it from the host system instead, but it provides
      a guarantee of a fallback if the host system doesn't have it.
      (steamrt/tasks#645, steamrt/tasks#689, steamrt/tasks#738)
    - Upgrade some primary-architecture libraries to multiarch.
      Most of these are because they're dlopen'd by Proton. A few are
      because they are from the same family as a library that we need,
      and it's more predictable to deal with whole families of libraries.
      (steamrt/tasks#738)
    - Only install libsteam-runtime-tools-0.so.0 for primary architecture
      (steamrt/tasks#738)
    - Don't include i386 libXss.
      We only have this for SDL, which we only install for the primary
      architecture now. (steamrt/tasks#738)
    - Check for libGLX.so.0, libgbm.so.1 in diagnostic tools
      (steamrt/tasks#738)
    - Explicitly depend on libnettle.so.8, for Proton (steamrt/tasks#738)
    - Add libopenxr_loader.so.1 (primary architecture only)
      (steamrt/tasks#607, steamrt/tasks#735, steamrt/tasks#738)
    - Add libgraphene-1.0.so.0, for Proton's GStreamer (steamrt/tasks#738)
    - Add libdav1d.so.7, for Proton (steamrt/tasks#738)
    - Add compression/utility libraries that get pulled in anyway.
      Now that Debian 13 is frozen, library dependencies like these are
      unlikely to change. (steamrt/tasks#371)
      + libbrotli{common,dec,enc}.so.1 (compression)
      + libbsd.so.0 (utility)
      + libdeflate.so.0 (compression)
      + liblz4.so.1 (compression)
      + liblzma.so.5 (compression)
      + libmd.so.0 (hashing)
      + libmount.so.1 (mount point discovery)
    - Similarly add libhogweed, required by GNUTLS (steamrt/tasks#371)
    - Don't include libibus.
      We included this because SDL mentions it, but SDL actually talks to
      the ibus service via D-Bus rather than dynamically loading libibus.
      (steamrt/tasks#371)
    - Don't pull in ICU.
      We might need this later for Electron apps, but it's rather large,
      so let's not commit to including it at this stage. (steamrt/tasks#371)
    - Drop liblcms2.so.2.
      We previously had this for Proton's benefit, but it doesn't seem
      to be referenced any more. (steamrt/tasks#371)
    - Annotate some multiarch libraries with why we want them.
      In this branch we are trying to minimize the overhead of
      i386 support, so we only want i386 libraries if they are
      actively necessary for either Proton or our diagnostic
      tools. (steamrt/tasks#371)
    - Annotate why we have some libraries at all (steamrt/tasks#371)
    - Update expectations
  * Platform:
    - Really restrict SDL to primary architecture only
      (steamrt/tasks#738)
    - Add libopenxr-utils.
      It isn't clear whether we will want this in the longer term or not,
      but it's quite small, and adding it temporarily makes a useful
      smoke-test for steamrt/tasks#607.
  * SDK:
    - Add libopenxr-dev (not on i386) (steamrt/tasks#738)
    - Add libgraphene-1.0-dev (steamrt/tasks#738)
    - Add libdav1d-dev (steamrt/tasks#738)
    - Don't include i386 libXss (steamrt/tasks#371)
    - Don't include i386 libdecor (steamrt/tasks#371)
    - Don't include i386 libsteam-runtime-tools-0-dev (steamrt/tasks#371)
    - Don't include liblcms2-dev (steamrt/tasks#371)

 -- Simon McVittie <smcv@collabora.com>  Fri, 30 May 2025 16:26:47 +0100

steamrt (4.20250527.0) steamrt4; urgency=medium

  * Switch branch from steamrt5 to steamrt4.
    We've decided not to release a Debian-12-based runtime, which means
    that medic will be discontinued, and instead the next runtime after
    Steam Runtime 3 'sniper' will be based on Debian 13.
    To minimize confusion, label it as Steam Runtime 4 'steamrt4'.
    (steamrt/tasks#741)
  * Documentation updates

 -- Simon McVittie <smcv@collabora.com>  Tue, 27 May 2025 13:40:34 +0100

steamrt (5.20250429.0) steamrt5; urgency=medium

  * 90steamrt.pref: Treat internal archival copy of Debian the same
    as Debian itself (steamrt/tasks#725)
  * ABI: Update symbols for SDL_ttf 3.2.2

 -- Simon McVittie <smcv@collabora.com>  Tue, 29 Apr 2025 22:02:55 +0100

steamrt (5.20250411.0) steamrt5; urgency=medium

  * steamrt-container-host-compat: Use dpkg-divert for all executables.
    This allows the Conflicts with xdg-utils, etc. to be dropped.

 -- Simon McVittie <smcv@collabora.com>  Fri, 11 Apr 2025 14:31:52 +0100

steamrt (5.20250410.0) steamrt5; urgency=medium

  * ABI: Update expectations
  * ABI: Remove libtic.so.6 from the ABI we guarantee
    (steamrt/tasks#341, steamrt/tasks#703)
  * ABI, SDK: Remove larger libraries until we know whether we actually
    need them:
    - GTK 3 (legacy version)
    - GTK 4
    - Qt 5 (legacy version)
    - SDL 2 satellite libraries (legacy version)
    - libexif
    - ncurses TUI widget set
    (steamrt/tasks#371)
  * Platform: Remove zenity until we know whether we need it
    (steamrt/tasks#371)
  * Replace SDL2 with sdl2-compat, and only on the primary architecture.
    For the older runtimes we are sticking with classic SDL2 until
    sdl2-compat is more mature, but for steamrt5 we have no particular
    requirement to support legacy games, so let's try using sdl2-compat
    only. (steamrt/tasks#371)

 -- Simon McVittie <smcv@collabora.com>  Thu, 10 Apr 2025 18:19:03 +0100

steamrt (5.20250303.0) steamrt5; urgency=medium

  * ABI: Replace libFLAC.so.12 with libFLAC.so.14
  * ABI: Regenerate expectations
  * ABI: Add SDL3_ttf (primary architecture only) (steamrt/tasks#576)
  * SDK: add libsdl3-ttf-dev (not for i386) (steamrt/tasks#576)
  * SDK: add libsdl3-ttf-tests (steamrt/tasks#576)
  * examples, tests: Exercise compiling a demo program against SDL3_ttf.
    This is the showfont example from SDL3_ttf.
  * Fix lint warnings in maintenance scripts

 -- Simon McVittie <smcv@collabora.com>  Mon, 03 Mar 2025 20:41:54 +0000

steamrt (5.20250225.0) steamrt5; urgency=medium

  * d/control: Move Toolbx requirements to their own metapackage.
    This makes it a bit more obvious where some of our requirements
    came from. (steamrt/tasks#634)
  * tests: Don't assert that ltrace is available on non-x86

 -- Simon McVittie <smcv@collabora.com>  Tue, 25 Feb 2025 11:58:15 +0000

steamrt (5.20250220.0) steamrt5; urgency=medium

  * ABI: Only expect to find libquadmath0 on x86
  * SDK: Specifically include fonts-dejavu-core.
    In practice the SDK already includes this, as the most-preferred of
    several alternative dependencies from fontconfig-config. If we fix
    the dependency to be specifically this, then we can rely on it in
    automated smoke-tests.

 -- Simon McVittie <smcv@collabora.com>  Thu, 20 Feb 2025 19:47:48 +0000

steamrt (5.20250217.0) steamrt5; urgency=medium

  * Experimental support for portability to non-x86 architectures
    (steamrt/tasks#675)
    - ABI: Cope with being run on as-yet-unknown architectures
    - SDK: Only install multilib gcc on x86
    - ABI: Add basic support for architecture-specific libraries
    - ABI: libdrm_intel.so.1 is x86-only

 -- Simon McVittie <smcv@collabora.com>  Mon, 17 Feb 2025 16:37:43 +0000

steamrt (5.20250206.0) steamrt5; urgency=medium

  * ABI: Add SDL3_image (primary architecture only)
    (steamrt/tasks#575)
  * ABI: Add libsdl2-compat.
    This allows running SDL 2 games with SDL 3 on an opt-in basis, by
    setting SDL_DYNAMIC_API to a suitable value. (steamrt/tasks#579)
  * SDK: Add libsdl3-image-dev (primary architecture only)
    (steamrt/tasks#575)
  * SDK: Revert "Temporarily replace g++-i686-linux-gnu with a g++ -m32
    wrapper".
    The glibc 2.40 transition has finished and this cross-compiler is
    installable again.
  * SDK: Install SDL 2, SDL 3, SDL3_image and sdl2-compat automated and
    manual tests.
    These have no dependencies that aren't already in the SDK, and are
    convenient for manual testing.
  * examples: Add a smoke-test for SDL3_image.
    This is a copy of the showimage example from SDL3_image.
    For simplicity, this is tested at the same time as SDL3 core.
  * tests: Systematically test all i686-linux-gnu C, C++ compilers in a loop

 -- Simon McVittie <smcv@collabora.com>  Thu, 06 Feb 2025 15:31:06 +0000

steamrt (5.20250129.0) steamrt5; urgency=medium

  * Install sample toolchain files into /usr/share/steamrt/cmake
    - gcc.cmake, clang.cmake, gcc-VERSION.cmake, clang-VERSION.cmake
      for native compilation
    - gcc-m32.cmake, clang-m32.cmake, gcc-VERSION-m32.cmake
      for i386 on x86_64 (multilib)
    - i686-linux-gnu-{gcc,clang}{,-VERSION}.cmake
      for i386 on x86_64 (multiarch/cross)
  * examples, tests: Add test coverage for libogg, libvorbis
    (steam-runtime#735)
  * examples, tests: Combine all build systems for each example
  * examples: Bump minimum cmake version to the oldest thing we ship.
    This avoids deprecation warnings with newer versions of cmake.

 -- Simon McVittie <smcv@collabora.com>  Wed, 29 Jan 2025 17:38:06 +0000

steamrt (5.20250124.0) steamrt5; urgency=medium

  * SDK: Preinstall mold.
    Previously this was available via apt, but not preinstalled.
  * meson: Add convenience machine files for the mold linker
  * tests: Assert that we can link with mold

 -- Simon McVittie <smcv@collabora.com>  Fri, 24 Jan 2025 14:38:24 +0000

steamrt (5.20250122.0) steamrt5; urgency=medium

  * ABI, SDK: Add SDL 3.2.0 (primary architecture only)
    (steamrt/tasks#217, steamrt/tasks#554)
  * examples, tests: Exercise SDL 3
  * ABI: Update package names for libtheoraenc, libtheoradec

 -- Simon McVittie <smcv@collabora.com>  Wed, 22 Jan 2025 19:13:04 +0000

steamrt (5.20250116.0) steamrt5; urgency=medium

  * meson: Add pkg-config field next to deprecated pkgconfig
  * ABI: Don't insist that we have libraries we don't depend on or check for

 -- Simon McVittie <smcv@collabora.com>  Thu, 16 Jan 2025 18:19:32 +0000

steamrt (5.20250106.0) steamrt5; urgency=medium

  * Sync apt preferences location with soldier and sniper
  * apt-prefs: Don't install runtime-overlay packages by default.
    We will potentially want backported packages to be installed into
    the Platform image and therefore the Steam Linux Runtime depot,
    but not into the base tarball or the SDK image.
    At the moment this is only relevant for soldier, but for symmetry,
    do the same in later suites. (steamrt/tasks#619)

 -- Simon McVittie <smcv@collabora.com>  Mon, 06 Jan 2025 19:18:06 +0000

steamrt (5.20241212.0) steamrt5; urgency=medium

  * ABI: Expect libdbus 1.16rc1
  * d/control: Update expected clang version to 19
  * d/control: Don't put an upper limit on the clang, gcc versions.
    In the branches that correspond to stable releases, we have usually
    hard-coded a specific version each of clang and gcc, but in this
    development branch's automated tests we accept whatever version
    happens to be present.

 -- Simon McVittie <smcv@collabora.com>  Thu, 12 Dec 2024 18:42:27 +0000

steamrt (5.20241127.0) steamrt5; urgency=medium

  * ABI: Update to DXVK 2.5.1 (steamrt/tasks#591)
  * ABI: Update to vkd3d 1.14 (steamrt/tasks#590)

 -- Simon McVittie <smcv@collabora.com>  Wed, 27 Nov 2024 19:21:16 +0000

steamrt (5.20241125.0) steamrt5; urgency=medium

  * SDK: Provide libgcrypt and libgpg-error development files for
    i386, too.
    Proton wants these available for both 64- and 32-bit code, and in
    testing/unstable it's easy to co-install them. (steamrt/tasks#604)

 -- Simon McVittie <smcv@collabora.com>  Mon, 25 Nov 2024 14:19:14 +0000

steamrt (5.20241121.0) steamrt5; urgency=medium

  * ABI: Track the public ABI of libvkd3d-* (steamrt/tasks#590)
  * ABI: Track public ABI of DXVK Native (steamrt/tasks#591)

 -- Simon McVittie <smcv@collabora.com>  Thu, 21 Nov 2024 15:25:23 +0000

steamrt (5.20241111.0) steamrt5; urgency=medium

  * ABI, SDK: Add most of the libxcb-* libraries
    (steamrt/tasks#592, steam-runtime#701)
  * ABI: Don't include libcairo-script-interpreter
  * ABI: Add additional integration libraries for libharfbuzz
    (steamrt/tasks#589)
  * ABI: Add libwayland-egl.so.1, libwayland-server.so.0
    (steamrt/tasks#589)
  * ABI: Add libxkbfile.so.1 (steamrt/tasks#592, steam-runtime#701)
  * SDK: Add libxkbfile-dev
  * ABI: Track symbols in libwayland-* more carefully
  * ABI: Add libwebpdemux.so.2, libwebpmux.so.3
    (steamrt/tasks#589)
  * ABI: Compare libwebp{de,}mux symbols more carefully
  * ABI: Update expectations

 -- Simon McVittie <smcv@collabora.com>  Mon, 11 Nov 2024 18:33:11 +0000

steamrt (5.20241107.0) steamrt5; urgency=medium

  * ABI: Add various libraries to the list that we guarantee to provide.
    In practice all of these were already included in the Platform,
    so this change makes no difference to the size of the Platform; it
    only formalizes these libraries being part of our ABI, and arranges
    for steam-runtime-system-info to check for their presence.
    Compared with soldier/sniper/medic, this is a considerably reduced
    list of libraries with only the ones we can easily assume will still
    be needed later. We can add more libraries after we reach the Debian
    13 freeze, at which point the set of dependencies will be reasonably
    stable.
    (steamrt/tasks#588)
  * SDK: Explicitly depend on some -dev packages that are indirectly
    required.
    If the dependencies of other packages reduce to a point where these
    -dev packages are no longer installed, we probably still want to
    install them, to avoid buildability regressions.
    As with the runtime libraries, this is a smaller set than for older
    branches of the Steam Runtime, which we can revisit after the Debian
    13 freeze.
    (steamrt/tasks#588)

 -- Simon McVittie <smcv@collabora.com>  Thu, 07 Nov 2024 20:16:50 +0000

steamrt (5.20241105.0) steamrt5; urgency=medium

  * ABI: Add libpulse-mainloop-glib.so.0 (steamrt/tasks#585)

 -- Simon McVittie <smcv@collabora.com>  Tue, 05 Nov 2024 14:41:04 +0000

steamrt (5.20240916.0) steamrt5; urgency=medium

  * ABI: Track expected symbols found in libxkbcommon{,-x11}
    (steamrt/tasks#530)
  * ABI: Tell libcapsule how to compare libxkbcommon{,-x11}.so.0

 -- Simon McVittie <smcv@collabora.com>  Mon, 16 Sep 2024 16:22:01 +0100

steamrt (5.20240902.0) steamrt5; urgency=medium

  * Temporarily replace g++-i686-linux-gnu with a g++ -m32 wrapper.
    g++-i686-linux-gnu is currently uninstallable in Debian testing,
    because libc6-dev-i386-cross needs updating for the glibc 2.40
    transition.
  * ABI: Update expectations for glibc 2.40, GLib 2.82.0, wayland 1.23.0
  * CONTRIBUTING: Document how to update ABI expectations

 -- Simon McVittie <smcv@collabora.com>  Mon, 02 Sep 2024 14:15:55 +0100

steamrt (5.20240812.0) steamrt5; urgency=medium

  * d/control: gcc-14 is now the default gcc for trixie

 -- Simon McVittie <smcv@collabora.com>  Mon, 12 Aug 2024 12:27:44 +0100

steamrt (5.20240718.0) steamrt5; urgency=medium

  * ABI: Remove remaining references to libcurl-gnutls.
    We no longer ship this in steamrt5, so there's certainly no need for the
    libcurl-gnutls.so.3 alias. (steamrt/tasks#367)

 -- Simon McVittie <smcv@collabora.com>  Thu, 18 Jul 2024 18:07:03 +0100

steamrt (5.20240717.0) steamrt5; urgency=medium

  * ABI: Add DXVK Native (steamrt/tasks#268)
  * ABI: Add vkd3d runtime libraries (steamrt/tasks#268)
  * SDK: Add libdxvk-native-dev (steamrt/tasks#268)
  * SDK: Add vkd3d compiler and development files (steamrt/tasks#268)

 -- Simon McVittie <smcv@collabora.com>  Wed, 17 Jul 2024 19:23:37 +0100

steamrt (5.20240619.0) steamrt5; urgency=medium

  * d/changelog: Remove trailing whitespace from historical entries
  * ABI: Bump SONAME from libvpx.so.8 to libvpx.so.9 (steamrt/tasks#473)
  * ABI: Update expectations for libcurl.so.4
  * ABI: Update expectations for libdrm_amdgpu.so.1
  * ABI: Add libxkbcommon-x11.so.0 (64-bit only) (steamrt/tasks#467)
  * SDK: Add libxkbcommon-x11-dev (64-bit only) (steamrt/tasks#467)
  * d/gitlab-ci.yml: Fix CI

 -- Simon McVittie <smcv@collabora.com>  Wed, 19 Jun 2024 15:01:35 +0100

steamrt (5.20240529.0) steamrt5; urgency=medium

  * ABI: Add Qt 5 base libraries (x86_64 only) (steamrt/tasks#450)
  * d/control: Add some basic Qt 5 plugins

 -- Simon McVittie <smcv@collabora.com>  Wed, 29 May 2024 16:11:37 +0100

steamrt (5.20240528.0) steamrt5; urgency=medium

  * ABI: Update expectations
  * SDK: Revert "Temporarily replace g++-i686-linux-gnu with a g++ -m32
    wrapper"
  * Documentation updates

 -- Simon McVittie <smcv@collabora.com>  Tue, 28 May 2024 11:50:18 +0100

steamrt (5.20240506.0) steamrt5; urgency=medium

  * ABI: Further updates for the time64 transition
  * SDK: Temporarily replace g++-i686-linux-gnu with a g++ -m32 wrapper.
    g++-i686-linux-gnu is currently uninstallable in Debian testing,
    because libc6-dev-i386-cross needs updating for the glibc 2.38
    transition (see Debian#1067370).

 -- Simon McVittie <smcv@collabora.com>  Mon, 06 May 2024 15:28:21 +0100

steamrt (5.20240430.0) steamrt5; urgency=medium

  * ABI: Update package names for 64-bit time_t transition

 -- Simon McVittie <smcv@collabora.com>  Tue, 30 Apr 2024 20:10:07 +0100

steamrt (5.20240321.0) steamrt5; urgency=medium

  * Platform: Add steam-runtime-tools-ui
    (steamrt/tasks#376, steamrt/tasks#421)

 -- Simon McVittie <smcv@collabora.com>  Thu, 21 Mar 2024 18:58:45 +0000

steamrt (5.20240320.0) steamrt5; urgency=medium

  * ABI: Update expectations for SDL 2.30
  * ABI: Update expectations for libdrm
  * ABI: Update expectations for libgcc
  * ABI: Add libxcb-xinput.so.0 (ValveSoftware/steam-runtime#657)
  * SDK: Add libxcb-xinput-dev (ValveSoftware/steam-runtime#657)
  * ABI: Track expected symbols in remaining xcb libraries.
    The xcb family of libraries sometimes add new symbols without increasing
    the minor ABI version, so we have to be prepared to compare them by
    listing their symbols rather than by using the ABI version.
    We did this for some libraries in this family already: complete the set.
  * libxcb-xkb.so.1: Explicitly exclude symbols that were removed upstream.
    These were removed long ago, so versions available in the wild probably
    don't have them, but it's best to be consistent.

 -- Simon McVittie <smcv@collabora.com>  Wed, 20 Mar 2024 13:34:43 +0000

steamrt (5.20240306.0) steamrt5; urgency=medium

  * data: Add ibus-table GSettings schema, for feature parity with sniper.
    Taken from ibus-table in Debian 12.
    As before, for now this is the version from Debian 12; we can update to
    a version from Debian 13 when it stabilizes.
    (steamrt/tasks#412)

 -- Simon McVittie <smcv@collabora.com>  Wed, 06 Mar 2024 18:40:52 +0000

steamrt (5.20240209.0) steamrt5; urgency=medium

  * Install GSettings schemas for ibus backends.
    steamwebhelper wants access to these from inside the sniper container.
    Add them to steamrt5 too, for feature parity.
    For now this is the version from Debian 12; we can update to a
    version from Debian 13 when it stabilizes.
    (steamrt/tasks#398)

 -- Simon McVittie <smcv@collabora.com>  Fri, 09 Feb 2024 20:07:42 +0000

steamrt (5.20240104.0) steamrt5; urgency=medium

  * ABI: Replace libvpx.so.7 with libvpx.so.8

 -- Simon McVittie <smcv@collabora.com>  Thu, 04 Jan 2024 20:00:12 +0000

steamrt (5.20231211.0) steamrt5; urgency=medium

  * ABI, SDK: Remove various libraries to minimize runtime size
    (steamrt/tasks#364)
    - FreeGLUT
    - GLEW
    - GLU
    - FLTK
    - libjack
    - libsoup
    - libwrap (TCP-Wrappers)
    - libXaw (removed from SDK only, still present in ABI because xterm
      requires it)
    - libxslt
    - pcre3 (legacy PCRE 8.x)
    - SDL2_net
  * ABI, SDK: Standardize on the OpenSSL flavour of libcurl to minimize
    runtime size (steamrt/tasks#364)

 -- Simon McVittie <smcv@collabora.com>  Mon, 11 Dec 2023 17:23:34 +0000

steamrt (5.20231208.0) steamrt5; urgency=medium

  * ABI, SDK: Upgrade libfltk to version 1.3

 -- Simon McVittie <smcv@collabora.com>  Fri, 08 Dec 2023 16:55:59 +0000

steamrt (5.20231207.0) steamrt5; urgency=medium

  * ABI: Don't install libCg, libCgGL.
    These are mainly used by older native Linux games, which can/should
    stay on sniper or scout. They are not generally used by newer native
    Linux games or by Proton. (steamrt/tasks#364)
  * ABI: Don't pull in libedit.
    We previously had this because Mesa is dynamically linked to it, but that
    dependency goes away when Mesa is statically linked to libLLVM.
    (steamrt/tasks#364)
  * ABI: Update expected symbols

 -- Simon McVittie <smcv@collabora.com>  Thu, 07 Dec 2023 18:53:00 +0000

steamrt (5.20230928.0) steamrt5; urgency=medium

  * ABI: Make glibc comparison order consistent with libcapsule
  * ABI: Make libcrypt comparison order consistent with libcapsule
  * ABI: Load libstdc++.so.6 when testing whether libitm.so.1 can be loaded.
    On Debian, libitm.so.1 is self-contained, but on Arch it has an
    unresolved symbol related to C++ exception handling, which can be
    satisfied by loading libstdc++.so.6.

 -- Simon McVittie <smcv@collabora.com>  Thu, 28 Sep 2023 18:38:23 +0100

steamrt (5.20230926.0) steamrt5; urgency=medium

  * ABI: Track ABI of libcrypt.so.1 explicitly.
    libcrypt.so.1 has moved from glibc to being a separate package built by
    libxcrypt in most distributions, so it's important that we keep track
    of which one we have. It has explicit ABI control, both in glibc and in
    libxcrypt, so we can track its symbols exactly. (steamrt/tasks#332)

 -- Simon McVittie <smcv@collabora.com>  Tue, 26 Sep 2023 15:56:40 +0100

steamrt (5.20230921.0) steamrt5; urgency=medium

  * d/control: Update expected version of clang
  * ABI: Add a new libedit public symbol
  * ABI: Update expectations for GLib 2.78.0

 -- Simon McVittie <smcv@collabora.com>  Thu, 21 Sep 2023 14:50:44 +0100

steamrt (5.20230807.0) steamrt5; urgency=medium

  * Also update cross-toolchains and tests for gcc 13 as default

 -- Simon McVittie <smcv@collabora.com>  Mon, 07 Aug 2023 16:49:38 +0100

steamrt (5.20230728.0) steamrt5; urgency=medium

  * ABI: Don't generate expectations for primary-architecture-only libraries
    on secondary architectures
  * ABI: Update expectations

 -- Simon McVittie <smcv@collabora.com>  Fri, 28 Jul 2023 14:05:23 +0100

steamrt (5.20230727.0) steamrt5; urgency=medium

  * d/rules: gcc 13 is now the default for trixie

 -- Simon McVittie <smcv@collabora.com>  Thu, 27 Jul 2023 20:19:18 +0100

steamrt (5.20230621.0) steamrt5; urgency=medium

  * dpkg: Exclude GNOME help files from container runtime.
    This should avoid having to patch zenity in future.

 -- Simon McVittie <smcv@collabora.com>  Wed, 21 Jun 2023 14:53:10 +0100

steamrt (5.20230619.1) steamrt5; urgency=medium

  * Platform, SDK: Drop libcapsule.
    We don't actually need this any more, steam-runtime-tools bundles a copy.

 -- Simon McVittie <smcv@collabora.com>  Mon, 19 Jun 2023 18:31:07 +0100

steamrt (5.20230619.0) steamrt5; urgency=medium

  * Start a new branch for Steam Runtime 5, provisionally based on the
    future Debian 13 'trixie' release

 -- Simon McVittie <smcv@collabora.com>  Mon, 19 Jun 2023 13:36:17 +0100

steamrt (4.20230619.0) medic; urgency=medium

  * build: Generate 90steamrt from a template.
    This will let us reuse more code from Steam Runtime 4 in Steam Runtime 5.
  * d/README.source: Update to reflect not all libraries being multiarch
  * README.md, d/README.source: Make wording more generic.
    This will let us reuse more of it without modifications for
    Steam Runtime v5.
  * README.md: Update to reflect Debian 12 release

 -- Simon McVittie <smcv@collabora.com>  Mon, 19 Jun 2023 13:30:45 +0100

steamrt (4.20230424.0) medic; urgency=medium

  * ABI, SDK: Cut down the number of i386 libraries.
    The more 32-bit libraries we ship, the more likely we are to have ABI
    problems in the next 15 years as a result of 32-bit time_t needing to
    be phased out before 2038.
    For Windows games, Proton already does not require all the i386
    libraries we currently ship. It's also possible that it might start
    to convert its dependency libraries from native Linux ELF libraries
    to bundled PE libraries over time, reducing its i386 requirements
    further.
    For native Linux games, we recommend compiling as 64-bit where
    possible; if a legacy game cannot be compiled as 64-bit, then it
    should stay on Steam Runtime 3 'sniper' or older, and not proceed
    to Steam Runtime 4 'medic'.
  * ABI: Explicitly require libwayland-cursor.so.0

 -- Simon McVittie <smcv@collabora.com>  Mon, 24 Apr 2023 14:18:38 +0100

steamrt (4.20230420.1) medic; urgency=medium

  * build: Stop compensating for an old Meson bug
  * meson: Add gcc-12-m32 cross-file for completeness
  * meson: Parameterize remaining machine files
  * tests: Finalize expected default compiler versions for Debian 12
  * tests: Run all Meson tests, even if one fails

 -- Simon McVittie <smcv@collabora.com>  Thu, 20 Apr 2023 14:54:59 +0100

steamrt (4.20230420.0) medic; urgency=medium

  * README: Indicate how our metapackages fit together
  * README: Improve cross-references
  * examples: Consistently respect typical compiler flags.
    This lets us exercise things like -fuse-ld=gold.
  * meson: Parameterize machine files

 -- Simon McVittie <smcv@collabora.com>  Thu, 20 Apr 2023 12:44:54 +0100

steamrt (4.20230330.0) medic; urgency=medium

  * ABI: Add libraries required by Chromium and its various forks and
    embedders (steam-runtime#579, steamrt/tasks#270)
    - libcups.so.2
    - Mozilla NSPR family (libnspr4.so etc.)
    - Mozilla NSS family (libnss3.so etc.)
  * SDK: Add libcups2-dev (both 32- and 64-bit)
  * SDK: Add libnspr4-dev, libnss3-dev (64-bit only)

 -- Simon McVittie <smcv@collabora.com>  Thu, 30 Mar 2023 20:33:36 +0100

steamrt (4.20230228.0) medic; urgency=medium

  * container-host-compat: Add some Provides.
    We want to be able to install clients into the container that would
    ordinarily require a matching service, because in the Steam Runtime
    use-case, we usually expect to get those services' sockets or bus names
    imported into the container by pressure-vessel or Toolbx.
  * container-host-compat: Also conflict with steam-installer
  * container-host-compat: Create xdg-email from a package
  * container: Include libcap2-bin, mount, passwd and sudo for Toolbx support
  * tests: Improve lint scripts
  * CI: Replace deprecated SteamOS CI image with plain Debian

 -- Simon McVittie <smcv@collabora.com>  Tue, 28 Feb 2023 11:53:07 +0000

steamrt (4.20230116.0) medic; urgency=medium

  * ABI: Replace libtiff.so.5 with libtiff.so.6
  * ABI: Update expectations for SDL 2.26.x

 -- Simon McVittie <smcv@collabora.com>  Mon, 16 Jan 2023 11:22:28 +0000

steamrt (4.20230104.0) medic; urgency=medium

  * ABI: Replace libffi.so.7 with libffi.so.8
  * tests: Fix check for presence of i686-linux-gnu-gcc-* cross-compilers
  * Add Meson cross-file for gcc, for completeness.
    This is the default, but explicit is sometimes better than implicit.
  * CI: Specifically use an x86_64 runner.
    Future-proofing against non-x86 runners maybe becoming available
    (infrastructure/tasks#75).

 -- Simon McVittie <smcv@collabora.com>  Wed, 04 Jan 2023 18:40:17 +0000

steamrt (4.20221123.0) medic; urgency=medium

  * SDK: Depend on pkgconf instead of transitional pkg-config
  * ABI: Update expectations for libdrm 2.4.114

 -- Simon McVittie <smcv@collabora.com>  Wed, 23 Nov 2022 13:19:35 +0000

steamrt (4.20221115.0) medic; urgency=medium

  * Revert "pinning: Take vulkan-loader and vulkan-tools from unstable".
    This is no longer needed since the affected packages migrated into
    bookworm at the weekend.
  * pinning: Update example to fix a multiarch subtlety
  * ABI: Migrate from freeglut3 (GLUT 2.x) to libglut3.12 (GLUT 3.x)
  * ABI: Update glibc expectations to 2.36
  * ABI: Update libcurl expectations to 7.86.0

 -- Simon McVittie <smcv@collabora.com>  Tue, 15 Nov 2022 16:29:08 +0000

steamrt (4.20221111.0) medic; urgency=medium

  * build: Drop compatibility with Meson older than 0.56
  * tests: Use `meson setup` instead of leaving the `setup` verb implicit
  * meson: Add cross-files for i686-linux-gnu cross-compiling
  * meson: Add cross and native files for specific compiler versions
  * pinning: Add an example
  * pinning: Take vulkan-loader and vulkan-tools from unstable.
    These haven't quite migrated yet, but they should migrate next week.

 -- Simon McVittie <smcv@collabora.com>  Fri, 11 Nov 2022 12:53:25 +0000

steamrt (4.20221102.0) medic; urgency=medium

  * ABI: Add libflac12, remove libflac8
  * ABI: Ignore two new private symbols in libedit2
  * ABI: Update libedit2 expectations

 -- Simon McVittie <smcv@collabora.com>  Wed, 02 Nov 2022 14:37:41 +0000

steamrt (4.20221004.1) medic; urgency=medium

  * Move glslang-dev to steamrt-libdevel-non-multiarch.
    It isn't currently multiarch co-installable, because its dependency
    spirv-tools hasn't been split into a -dev part and a tools part.

 -- Simon McVittie <smcv@collabora.com>  Tue, 04 Oct 2022 18:35:18 +0100

steamrt (4.20221004.0) medic; urgency=medium

  * SDK: Add spirv-headers, glslang-dev and spirv-tools.
    Followup for steamrt/tasks#177
  * ABI: Update glibc ABI expectations for 2.35
  * ABI: Update libdrm expectations for 2.4.104

 -- Simon McVittie <smcv@collabora.com>  Tue, 04 Oct 2022 16:41:08 +0100

steamrt (4.20220906.0) medic; urgency=medium

  * ABI: Don't treat curl_jmpenv as a public symbol.
    It's present in Debian builds of libcurl, but for some reason not in
    Arch builds, and isn't mentioned in the public header files.
  * ABI: Update expected symbols for SDL 2.24.0
  * ABI: Update GLib expectations

 -- Simon McVittie <smcv@collabora.com>  Tue, 06 Sep 2022 11:45:16 +0100

steamrt (4.20220824.0) medic; urgency=medium

  * Revert removal of gcc-i686-linux-gnu, g++-i686-linux-gnu

 -- Simon McVittie <smcv@collabora.com>  Wed, 24 Aug 2022 15:19:16 +0100

steamrt (4.20220815.0) medic; urgency=medium

  * Bump dependencies for gcc 12 as default
  * d/control: Temporarily remove gcc-i686-linux-gnu, g++-i686-linux-gnu.
    These are no longer co-installable with x86_64 development files due to
    the glibc 2.34 transition in Debian. They can be reinstated when
    release-critical bugs in cross-toolchain-base are fixed.
  * abi/expectations: Update expected ABIs

 -- Simon McVittie <smcv@collabora.com>  Mon, 15 Aug 2022 19:31:38 +0100

steamrt (4.20220802.0) medic; urgency=medium

  * container: Mark all containers as already being merged-/usr.
    This ensures we won't accidentally pull in the usrmerge package, which
    has extra dependencies, when it becomes transitively Essential.

 -- Simon McVittie <smcv@collabora.com>  Tue, 02 Aug 2022 16:46:07 +0100

steamrt (4.20220711.0) medic; urgency=medium

  [ Ludovico de Nittis ]
  * steamrt-container: Add netbase (steamrt/tasks#139).
    This adds `/etc/services` to the runtime, required by Borderlands 2
    (steam-runtime#515) and might help other games too.

 -- Simon McVittie <smcv@collabora.com>  Mon, 11 Jul 2022 13:46:50 +0100

steamrt (4.20220621.0) medic; urgency=medium

  * ABI: libtbbmalloc.so.2 is now in its own package
  * ABI: Replace obsolete libtbb.so.2 with libtbb.so.12

 -- Simon McVittie <smcv@collabora.com>  Tue, 21 Jun 2022 13:42:09 +0100

steamrt (4.20220616.0) medic; urgency=medium

  * ABI: Replace obsolete libssl1.1 with libssl3

 -- Simon McVittie <smcv@collabora.com>  Thu, 16 Jun 2022 11:03:15 +0100

steamrt (4.20220601.0) medic; urgency=medium

  * ABI: Add libsoup (steamrt/tasks#122), for ValveSoftware/wine#142

 -- Simon McVittie <smcv@collabora.com>  Wed, 01 Jun 2022 12:04:22 +0100

steamrt (4.20220531.0) medic; urgency=medium

  * abi/expectations: Update SDL to 2.0.22
  * abi/expectations: Update libcurl
  * Add OpenBLAS (steamrt/tasks#120)

 -- Simon McVittie <smcv@collabora.com>  Tue, 31 May 2022 19:39:48 +0100

steamrt (4.20220420.0) medic; urgency=medium

  * ABI: Add libdecor plugin for Cairo window decorations.
    Without this, libdecor will be unable to draw window decorations for
    native Wayland windows in environments that require client-side
    decoration, such as GNOME Shell and Weston. (steamrt/tasks#101)

 -- Simon McVittie <smcv@collabora.com>  Wed, 20 Apr 2022 17:28:35 +0100

steamrt (4.20220329.1) medic; urgency=medium

  * ABI: Add libvpx.so.7 (steamrt/tasks#103)
  * SDK: Add libvpx-dev (steamrt/tasks#103)

 -- Simon McVittie <smcv@collabora.com>  Tue, 29 Mar 2022 15:47:53 +0100

steamrt (4.20220329.0) medic; urgency=medium

  * ABI: Bump SONAME of libwebp
  * ABI: Update expected symbols for libdbus 1.14.x
  * abi: Update expected symbols for libdrm
  * ABI: Update expected symbols for gcc 12 runtime
  * ABI: Update expected symbols for GLib 2.72.x

 -- Simon McVittie <smcv@collabora.com>  Tue, 29 Mar 2022 13:30:02 +0100

steamrt (4.20220318.0) medic; urgency=medium

  * steamrt-container: Add libnotify-bin.
    This will let things like the Source engine's libtier0.so use it as a
    client for desktop notifications. (steamrt/tasks#98, Dota-2#2031)
  * ABI: Don't include multiarch-tuple-prefixed wflinfo.
    libsteam-runtime-tools no longer needs this: it ships its own diagnostic
    tool helpers with machine-readable output. The legacy-free medic
    container is not really intended for legacy i386 binaries, and dropping
    this will avoid some delta.

 -- Simon McVittie <smcv@collabora.com>  Fri, 18 Mar 2022 14:18:14 +0000

steamrt (4.20220211.0) medic; urgency=medium

  * README: Document dependency on updated runc.
    A Debian 10 Docker host is no longer sufficient for this branch.
  * ABI: Add libXNVCtrl.so.0 (steam-runtime-tools#82)
    MangoHUD uses this to get performance metrics from older NVIDIA GPUs.
  * ABI: Update expected symbols to include SDL 2.0.20
  * ABI: Update expected symbols for glibc, libcurl, libdrm, libwayland

 -- Simon McVittie <smcv@collabora.com>  Fri, 11 Feb 2022 16:27:17 +0000

steamrt (4.20220119.0) medic; urgency=medium

  * SDK: Depend on the packages required by Toolbx (steamrt/tasks#69)
  * SDK: Ensure /etc/krb5.conf.d exists

 -- Simon McVittie <smcv@collabora.com>  Wed, 19 Jan 2022 14:59:38 +0000

steamrt (4.20220113.0) medic; urgency=medium

  * SDK: Add afdko (proton/soldier/sdk#4)
    Proton wants this (specifically the makeotf, tx, sftnedit and otf2otc
    subcommands) to generate compatibility fonts.

 -- Simon McVittie <smcv@collabora.com>  Thu, 13 Jan 2022 18:53:04 +0000

steamrt (4.20220105.1) medic; urgency=medium

  * ABI: Replace libGLEW.so.2.1 with libGLEW.so.2.2

 -- Simon McVittie <smcv@collabora.com>  Wed, 05 Jan 2022 18:50:23 +0000

steamrt (4.20220105.0) medic; urgency=medium

  * d/rules: Don't install files executable if they don't need to be
  * Use debhelper-compat 13
  * generate-expectations: Make script self-contained.
    This avoids needing to generate the .json version of the ABI data first,
    and ensures that all necessary libraries are present without having
    to run abi/have-all-libraries.py separately.
  * d/rules: Install more declaratively
  * Build using Meson.
    Writing logic in Make can be quite painful, and we have a better build
    system available to us now.
  * tests: Output strict TAP
  * Fix lint warnings
  * d/control: Add Conflicts on mutually-exclusive packages
  * CI: Use a newer Docker image to run lint checks
  * d/README.source: Update documentation for new build system
  * d/README.source: Write down how to test new versions
  * README.md: Clarify release status
    medic is based on an unreleased version of Debian, so it can't possibly
    be stable until Debian 12 is at least frozen, expected to happen in
    late 2022 or early 2023.
  * d/.gitignore: Update

 -- Simon McVittie <smcv@collabora.com>  Wed, 05 Jan 2022 13:12:34 +0000

steamrt (4.20211130.0) medic; urgency=medium

  * Update CI files for medic
  * ABI: Add libwebp.so.6
  * SDK: Install libwebp development files.
    Note that this brings libwebpmux and libwebpdemux into the SDK, but
    they are not currently part of the Platform runtime and should not be
    relied on.
  * ABI: Update libdrm ABI

 -- Simon McVittie <smcv@collabora.com>  Tue, 30 Nov 2021 19:07:27 +0000

steamrt (4.20211119.0) medic; urgency=medium

  * README: Add a policy describing what we can and can't backport
  * ABI: Treat malloc_get_state and malloc_set_state as private.
    These have been deprecated stubs for a long time, and were finally
    removed in glibc 2.34 (which is technically an ABI break, but their only
    user was Emacs, and even that use was extremely questionable).
  * ABI: Treat libedit.so.2 fn_complete2 as private.
    It's in version 3.1-20210910-1, but not mentioned in header files.
  * ABI: Update expected library symbols from medic 0.20211027.0
  * d/rules: Update gcc major version to 11.
    This changed in gcc-defaults/1.194, which migrated to bookworm on
    2021-11-03. We need to know this so that we can install the correct
    multilib -dev packages, for i386 support on x86_64.
  * d/rules: Assert that the gcc major version is correct at build time.
    This doesn't prevent a subsequent gcc-defaults update from invalidating
    this, but it's better than nothing.

 -- Simon McVittie <smcv@collabora.com>  Fri, 19 Nov 2021 15:51:54 +0000

steamrt (4.20210928.0) medic; urgency=medium

  * Merge from sniper
    - Stop depending on transitional packages

 -- Simon McVittie <smcv@collabora.com>  Tue, 28 Sep 2021 18:05:28 +0100

steamrt (3.20210928.0) sniper; urgency=medium

  * SDK: Explicitly pull in libgl-dev
  * SDK: Replace transitional libfontconfig1-dev with libfontconfig-dev
  * SDK: Replace transitional libfreetype6-dev with libfreetype-dev
  * SDK: Drop transitional libtinfo-dev, now part of libncurses-dev
  * SDK: Replace transitional bsdmainutils with bsdutils, bsdextrautils.
    It also pulls in ncal, but I'm fairly sure we don't actually want that.
  * SDK: Replace separate transitional x11proto-*-dev with x11proto-dev.
    These are transitional packages in Debian 11 and will not all be
    available in Debian 12.

 -- Simon McVittie <smcv@collabora.com>  Tue, 28 Sep 2021 18:02:43 +0100

steamrt (4.20210920.0) medic; urgency=medium

  * Merge from sniper
    - Update libedit.so.2 ABI for 3.1-20210910-1

 -- Simon McVittie <smcv@collabora.com>  Mon, 20 Sep 2021 17:51:37 +0100

steamrt (3.20210920.0) sniper; urgency=medium

  * ABI: libedit.so.2 rl_did_startup_hook is private.
    This was removed in 3.1-20210910-1.
  * ABI: libedit.so.2 free_history_entry() is public.
    This isn't in the versions of libedit.so.2 in soldier or sniper, but is
    in the version in Debian unstable, so will likely be in medic at some
    point in the future.

 -- Simon McVittie <smcv@collabora.com>  Mon, 20 Sep 2021 17:49:48 +0100

steamrt (3.20210917.1) sniper; urgency=medium

  * ABI: Correct sense of public symbol marking for libwayland-client

 -- Simon McVittie <smcv@collabora.com>  Fri, 17 Sep 2021 16:07:29 +0100

steamrt (3.20210917.0) sniper; urgency=medium

  * Update known ABI of SDL2 to 2.0.16
  * ABI: Track public symbols in libwayland-client.so.0.
    If the versions we are comparing are on opposite sides of the removal
    of wl_map_*, for example running Steam Runtime 3 'sniper' on Debian 9,
    then we'll be unable to work out an order by just counting symbols;
    we have to take the private symbols into account.
    (Resolves: T23255; related: steamrt#13)
  * ABI: Add libnss-myhostname.
    This ensures that $(hostname) and localhost are resolvable, even if they
    are not listed in /etc/hosts (which pressure-vessel gets from the host
    system, so we do not 100% control it). (Resolves: steam-runtime-tools#75)

 -- Simon McVittie <smcv@collabora.com>  Fri, 17 Sep 2021 13:35:44 +0100

steamrt (4.20210917.1) medic; urgency=medium

  * ABI: Correct sense of public symbol marking for libwayland-client

 -- Simon McVittie <smcv@collabora.com>  Fri, 17 Sep 2021 16:09:12 +0100

steamrt (4.20210917.0) medic; urgency=medium

  * ABI: Track public symbols in libwayland-client.so.0.
    If the versions we are comparing are on opposite sides of the removal
    of wl_map_*, for example running Steam Runtime 3 'sniper' on Debian 9,
    then we'll be unable to work out an order by just counting symbols;
    we have to take the private symbols into account.
    (Resolves: T23255; related: steamrt#13)
  * ABI: Add libnss-myhostname.
    This ensures that $(hostname) and localhost are resolvable, even if they
    are not listed in /etc/hosts (which pressure-vessel gets from the host
    system, so we do not 100% control it). (Resolves: steam-runtime-tools#75)

 -- Simon McVittie <smcv@collabora.com>  Fri, 17 Sep 2021 13:37:27 +0100

steamrt (4.20210915.0) medic; urgency=medium

  * Update ABI of SDL2
  * ABI: Drop multiarch vainfo and vulkan-tools.
    We no longer produce these for SteamRT 4 'medic'. They were originally
    for the diagnostic tools in steam-runtime-tools, but we no longer use
    vainfo or vulkan-tools there; patching these packages to produce
    multiarch versions doesn't seem worth it for a future-facing runtime.

 -- Simon McVittie <smcv@collabora.com>  Wed, 15 Sep 2021 18:08:39 +0100

steamrt (4.20210708.0) medic; urgency=medium

  * Branch for Steam Runtime 4 'medic'

 -- Simon McVittie <smcv@collabora.com>  Thu, 08 Jul 2021 14:50:11 +0100

steamrt (3.20210621.0) sniper; urgency=medium

  * Merge from soldier
    - Platform: Add zenity, so we can display error messages

 -- Simon McVittie <smcv@collabora.com>  Mon, 21 Jun 2021 15:41:13 +0100

steamrt (2.20210618.0) soldier; urgency=medium

  * Platform: Add zenity, so we can display error messages

 -- Simon McVittie <smcv@collabora.com>  Fri, 18 Jun 2021 13:36:18 +0100

steamrt (3.20210604.1) sniper; urgency=medium

  * Merge from soldier
    - abi: Populate ABI expectations for libraries that list public symbols
      (T16026)
    - abi: Check that some important or previously problematic libraries
      have all the symbols we expect

 -- Simon McVittie <smcv@collabora.com>  Fri, 04 Jun 2021 18:44:21 +0100

steamrt (2.20210604.1) soldier; urgency=medium

  * abi: Populate ABI expectations for libraries that list public symbols
    (T16026)
  * abi: Check that some important or previously problematic libraries
    have all the symbols we expect:
    - glibc
    - libdrm
    - pipewire
    - curl
    - libgcc
    - GLib
    - SDL
    - xcb
    - dbus
    - libedit

 -- Simon McVittie <smcv@collabora.com>  Fri, 04 Jun 2021 18:26:28 +0100

steamrt (3.20210604.0) sniper; urgency=medium

  * Merge from soldier
    - SDK: Add various packages used to build Proton (T28550)
      + libxpresent-dev (steamrt#7)
      + libcapstone-dev (steamrt#8)
      + python3-pefile (steamrt#9)
      + gcc build-dependencies (steamrt#10)

 -- Simon McVittie <smcv@collabora.com>  Fri, 04 Jun 2021 15:56:35 +0100

steamrt (2.20210604.0) soldier; urgency=medium

  * SDK: Add various packages used to build Proton (T28550)
    - libxpresent-dev (steamrt#7)
    - libcapstone-dev (steamrt#8)
    - python3-pefile (steamrt#9)
    - gcc build-dependencies (steamrt#10)

 -- Simon McVittie <smcv@collabora.com>  Fri, 04 Jun 2021 15:44:48 +0100

steamrt (2.20210518.0) soldier; urgency=medium

  * Platform, SDK: Add Pipewire client library (T28194)

 -- Simon McVittie <smcv@collabora.com>  Tue, 18 May 2021 12:20:04 +0100

steamrt (2.20210505.0) soldier; urgency=medium

  * d/README.source: Document how to add new libraries
  * Platform: add libXpresent.so.1 (steamrt#6, T27966)
  * Platform: Include libwayland-client.so.0 in ABI checks
  * Platform: Include libedit.so.2 in ABI checks
  * Platform: Include libdrm family in ABI checks
  * SDK: Add xauth, xvfb (T21572)
  * SDK: Add python3-vdf

 -- Simon McVittie <smcv@collabora.com>  Wed, 05 May 2021 15:14:10 +0100

steamrt (2.20210406.0) soldier; urgency=medium

  [ Ludovico de Nittis ]
  * Add preinst and postrm scripts to cope with xdg-utils

 -- Simon McVittie <smcv@collabora.com>  Tue, 06 Apr 2021 13:22:59 +0100

steamrt (2.20210331.0) soldier; urgency=medium

  [ Ludovico de Nittis ]
  * container-host-compat: Add "steam" symlink to steam-runtime-steam-remote
    (Resolves: T27035)
  * container-host-compat: Add "xdg-open" symlink to steam-runtime-urlopen
    (Resolves: T27036)

  [ Simon McVittie ]
  * abi: Improve PEP 8 conformance

 -- Simon McVittie <smcv@collabora.com>  Wed, 31 Mar 2021 18:36:28 +0100

steamrt (3.20210518.0) sniper; urgency=medium

  * Platform, SDK: Add Pipewire client library (T28194)

 -- Simon McVittie <smcv@collabora.com>  Tue, 18 May 2021 12:18:50 +0100

steamrt (3.20210505.0) sniper; urgency=medium

  * d/README.source: Document how to add new libraries
  * Platform: add libXpresent.so.1 (steamrt#6, T27966)
  * Platform: Include libdrm2 in ABI checks
  * Update name of ABI expectations for gdk-pixbuf
  * SDK: Add xauth, xvfb (T21572)
  * SDK: Add python3-vdf

 -- Simon McVittie <smcv@collabora.com>  Wed, 05 May 2021 15:16:18 +0100

steamrt (3.20210429.0) sniper; urgency=medium

  [ Ludovico de Nittis ]
  * d/control: Do not install glslang-dev as multiarch.
    `glslang-dev` now depends on `spirv-tools` which cannot be installed for
    multiple architectures.

 -- Simon McVittie <smcv@collabora.com>  Thu, 29 Apr 2021 11:52:17 +0100

steamrt (3.20210406.0) sniper; urgency=medium

  [ Ludovico de Nittis ]
  * Add preinst and postrm scripts to cope with xdg-utils

 -- Simon McVittie <smcv@collabora.com>  Tue, 06 Apr 2021 13:24:00 +0100

steamrt (3.20210331.0) sniper; urgency=medium

  [ Ludovico de Nittis ]
  * container-host-compat: Add "steam" symlink to steam-runtime-steam-remote
    (Resolves: T27035)
  * container-host-compat: Add "xdg-open" symlink to steam-runtime-urlopen
    (Resolves: T27036)

  [ Simon McVittie ]
  * container: Add python-is-python3 (Resolves: T27279)
  * meson: Use non-deprecated section for built-in options
  * container: Normalize sorted order of dependencies
  * abi: Improve PEP 8 conformance
  * CI: Use a more appropriate Docker image

 -- Simon McVittie <smcv@collabora.com>  Wed, 31 Mar 2021 18:32:23 +0100

steamrt (3.20210317.0) sniper; urgency=medium

  * Merge from soldier
    - Add /usr/share/drirc.d mount point (steamrt#5)
    - ABI: Compare libstdc++.so.6 by version definitions
    - Platform: Add libasound2-plugins
    - container-host-compat: Add Exherbo locale symlinks
    - container-host-compat: Add a stub pulseaudio executable

 -- Simon McVittie <smcv@collabora.com>  Wed, 17 Mar 2021 19:29:48 +0000

steamrt (2.20210317.0) soldier; urgency=medium

  [ Simon McVittie ]
  * ABI: Compare libstdc++.so.6 by version definitions.
    This means we get the right libstdc++.so.6 on Exherbo
    (Resolves: steam-runtime#381)
  * Platform: Add libasound2-plugins.
    This allows ALSA (libasound.so.2) programs to output via PulseAudio,
    particularly when combined with a pressure-vessel change to make
    PulseAudio the default for these programs.

  [ Ludovico de Nittis ]
  * container-host-compat: Add Exherbo locale symlinks
    (partially resolves: steam-runtime-tools#67)
  * container-host-compat: Add a stub pulseaudio executable.
    A few games use `pulseaudio --check` as a way to detect whether the
    system has a working PulseAudio. This convinces them that it does.
    (Resolves: steam-runtime-tools#64) (partially resolves: steam-runtime#371)

 -- Simon McVittie <smcv@collabora.com>  Wed, 17 Mar 2021 19:24:27 +0000

steamrt (2.20210311.0) soldier; urgency=medium

  * container-host-compat: Ensure mount point for /usr/share/drirc.d.
    Resolves: steamrt#5

 -- Simon McVittie <smcv@collabora.com>  Thu, 11 Mar 2021 20:18:03 +0000

steamrt (3.20210309.0) sniper; urgency=medium

  * Merge from soldier
    - Add gdbserver (T26714)

 -- Simon McVittie <smcv@collabora.com>  Tue, 09 Mar 2021 14:38:27 +0000

steamrt (2.20210309.0) soldier; urgency=medium

  * Add gdbserver to Platform (T26714)

 -- Simon McVittie <smcv@collabora.com>  Tue, 09 Mar 2021 14:35:01 +0000

steamrt (3.20210208.0) sniper; urgency=medium

  * Merge from soldier
    - Add tini

 -- Simon McVittie <smcv@collabora.com>  Mon, 08 Feb 2021 14:02:18 +0000

steamrt (2.20210208.0) soldier; urgency=medium

  * SDK: Add tini.
    This is a tiny process 1 (init/reaper) suitable for Docker containers.

 -- Simon McVittie <smcv@collabora.com>  Mon, 08 Feb 2021 13:55:15 +0000

steamrt (2.20210121.0) soldier; urgency=medium

  * Don't symlink all of /usr/${gnu_tuple}/lib, but be more selective.
    This should avoid RPATH issues on Exherbo.
  * tests: Don't rely on dpkg-query exit status to check for
    installed packages, to handle purged packages correctly.
  * Fix suite in changelog

 -- Simon McVittie <smcv@collabora.com>  Thu, 21 Jan 2021 17:11:55 +0000

steamrt (3.20210121.0) sniper; urgency=medium

  * Don't symlink all of /usr/${gnu_tuple}/lib, but be more selective.
    This should avoid RPATH issues on Exherbo.

 -- Simon McVittie <smcv@collabora.com>  Thu, 21 Jan 2021 17:14:27 +0000

steamrt (3.20210120.0) sniper; urgency=medium

  * Revert "Pin a version of dpkg with #966083 fixed".
    The necessary version has migrated so this pin is no longer needed.
  * Drop deprecated gdk-pixbuf-xlib library

 -- Simon McVittie <smcv@collabora.com>  Wed, 20 Jan 2021 13:47:55 +0000

steamrt (3.20210114.1) sniper; urgency=medium

  * Pin a version of dpkg with #966083 fixed

 -- Simon McVittie <smcv@collabora.com>  Thu, 14 Jan 2021 18:49:45 +0000

steamrt (3.20210114.0) sniper; urgency=medium

  * Merge packaging changes from soldier
    - steamrt-container-host-compat:
      Add support for host fonts bind-mounted by pressure-vessel
    - README: Say how this interacts with other important packages
    - d/control: Add details of where this package is developed
    - Provide sample Meson native- and cross-files
  * Fix suite in changelog
  * Don't rely on dpkg-query exit status to check for installed packages.
    A package that has been removed but not purged (conffiles remain) still
    shows up in dpkg-query output.
  * tests: Change invocation syntax and expectations for bear(1)
    In Debian 11, it must be run as 'bear -- make', and produces an
    absolute path.

 -- Simon McVittie <smcv@collabora.com>  Thu, 14 Jan 2021 11:15:57 +0000

steamrt (2.20201124.0) soldier; urgency=medium

  * Merge packaging changes from scout
    - steamrt-container-host-compat:
      Add support for host fonts bind-mounted by pressure-vessel
    - README: Say how this interacts with other important packages
    - d/control: Add details of where this package is developed
    - Provide sample Meson native- and cross-files

 -- Simon McVittie <smcv@collabora.com>  Tue, 24 Nov 2020 15:15:39 +0000

steamrt (1.20201124.1) scout; urgency=medium

  * Fix Meson tests to use a fresh build directory every time.
    Otherwise, Meson will continue to use the old configuration and we
    won't actually be testing the new cross or native file.

 -- Simon McVittie <smcv@collabora.com>  Tue, 24 Nov 2020 15:11:32 +0000

steamrt (1.20201124.0) scout; urgency=medium

  [ Ludovico de Nittis ]
  * steamrt-container-host-compat:
    Add support for host fonts bind-mounted by pressure-vessel (or Flatpak).
    pressure-vessel can bind the host fonts when it creates a new container.
    In order for it to work though, we need to tell fontconfig where these
    fonts are located.
  * gitlab-ci: Set tags for the CI image to use.
    Without any tags we are not able to find a runner to use.

  [ Simon McVittie ]
  * README: Say how this interacts with other important packages
  * d/control: Add details of where this package is developed.
    Now that it's available to the public, let's have a cross-reference.
  * debian: Improve steamrt-container-host-compat Description.
    It now contains configuration, not just symlinks and mount points.
  * tests: Really skip tests that can only be run in a SDK container

 -- Simon McVittie <smcv@collabora.com>  Tue, 24 Nov 2020 14:54:03 +0000

steamrt (1.20200914.0) scout; urgency=medium

  * steamrt-dev: Add a minimal i386 cross-pkg-config on amd64
  * steamrt-dev: Add sample Meson native- and cross-files.
    These can be used via, for example,
    `meson setup --cross-file gcc-m32.txt` or
    `meson setup --native-file gcc-5.txt`.
  * tests: Exercise Meson cross and native files

 -- Simon McVittie <smcv@collabora.com>  Mon, 14 Sep 2020 16:07:13 +0100

steamrt (1.20200909.0) scout; urgency=medium

  * ABI: Really don't generate dependencies on libdrm_*, libedit

 -- Simon McVittie <smcv@collabora.com>  Wed, 09 Sep 2020 14:31:43 +0100

steamrt (1.20200908.1) scout; urgency=medium

  * ABI: Don't include libdrm_*, libedit in LD_LIBRARY_PATH runtime

 -- Simon McVittie <smcv@collabora.com>  Tue, 08 Sep 2020 20:39:51 +0100

steamrt (2.20201007.0) soldier; urgency=medium

  [ Ludovico de Nittis ]
  * steam-runtime-abi: compare libdrm.so.2 by symbols.
    The default comparison by name is usually not enough for
    libdrm.so.2 because it is stuck at version libdrm.so.2.4.0 since 2008.
    Instead using the symbols comparison should give us better results.
    (T24106)
  * gitlab-ci: Set tags for the CI image to use.

 -- Simon McVittie <smcv@collabora.com>  Wed, 07 Oct 2020 18:03:57 +0100

steamrt (3.20201007.0) sniper; urgency=medium

  [ Ludovico de Nittis ]
  * steam-runtime-abi: compare libdrm.so.2 by symbols.
    The default comparison by name is usually not enough for
    libdrm.so.2 because it is stuck at version libdrm.so.2.4.0 since 2008.
    Instead using the symbols comparison should give us better results.
    (T24106)
  * gitlab-ci: Set tags for the CI image to use.

 -- Simon McVittie <smcv@collabora.com>  Wed, 07 Oct 2020 18:02:23 +0100

steamrt (3.20201002.0) sniper; urgency=medium

  * SDK: Don't include legacy -dbg symbols.
    This is prompted by the removal of libice6-dbg, but the other
    non-toolchain -dbg packages seem relatively likely to be removed from
    bullseye too.

 -- Simon McVittie <smcv@collabora.com>  Fri, 02 Oct 2020 16:05:09 +0100

steamrt (3.20200924.0) sniper; urgency=medium

  * Branch for Steam Runtime 3 'sniper'
  * Adjust to package versions from Debian 11 'bullseye' alpha versions:
    - Platform: libcrypt is a separate .deb now
    - Platform: Bump libffi SONAME
    - Platform: Update name of package containing libgcc_s.so.1
    - Platform: Avoid transitional package for libGL.so.1
    - Platform: Bump SONAME of libncurses and related libraries
    - SDK: Update list of legacy -dbg packages
    - SDK: Replace transitional libncurses{,w}5-dev with libncurses-dev
    - SDK: Update gcc major version
  * Remove some deprecated packages until/unless we find that we need them:
    - Platform, SDK: Drop obsolete GTK 2
    - SDK: Drop unversioned python (Python 2).
      Debian 11 no longer ships it, at least under that name. If we later
      add python2 to the SDK, we can test for that instead.
    - SDK: Drop gcc-5 until we know we need it
    - SDK: Drop gcc 9 backport, the default gcc is 10 anyway
  * Platform, SDK: Remove explicit dependency on Hogweed, Nettle libraries
  * SDK: Use substvar for gcc major version
  * SDK: Drop libcasefold for now
  * 90steamrt: Pin packages from Debian sid (unstable) lower.
    This means that if necessary we'll be able to install packages from
    unstable that do not exist at all in testing, such as gcc-snapshot.

 -- Simon McVittie <smcv@collabora.com>  Thu, 24 Sep 2020 18:35:24 +0100

steamrt (2.20200908.0) soldier; urgency=medium

  [ Simon McVittie ]
  * Merge from Steam Runtime 1 'scout'
    - ABI: Compare libdrm_* libraries by name and symbols (T23274)
    - ABI: Add public/private knowledge about symbol versions and
      symbols for:
      - libdrm_nouveau.so.2
      - libedit.so.2 (T21954)

  [ Ludovico de Nittis ]
  * steam-runtime-abi: compare libdrm_amdgpu.so.1 by name and symbols
    (T23274)

 -- Simon McVittie <smcv@collabora.com>  Tue, 08 Sep 2020 19:12:56 +0100

steamrt (1.20200908.0) scout; urgency=medium

  [ Ludovico de Nittis ]
  * ABI: Compare libdrm_* libraries by name and symbols (T23274)
  * ABI: Add public/private knowledge about symbol versions and symbols for:
    - libdrm_nouveau.so.2
    - libedit.so.2 (T21954)

  [ Simon McVittie ]
  * tests/sdk/cli.t: Pass when run in a non-Platform, non-SDK container

 -- Simon McVittie <smcv@collabora.com>  Tue, 08 Sep 2020 19:05:02 +0100

steamrt (2.20200825.0) soldier; urgency=medium

  * Merge from Steam Runtime 1 'scout'
    - ABI: Compare several libxcb-* libraries by counting symbols.
      This lets us choose the right implementation to run a more recent
      container on older host OSs like SteamOS 2 'brewmaster'.
      (T23256, T23266, T23267, T23269, T23271)
    - ABI: Compare libtinfo.so.5 library using symbol version definitions,
      for the same reason. (T23268)

  [ Ludovico de Nittis ]
  * ABI: Compare libwayland-client.so.0 versions also by counting symbols.
    Currently the library version information is not maintained, and this
    leads to a situation where multiple versions have the same library name
    and the same symbols. We hope that in the future releases an incremental
    version number will be used instead. (T23255)

 -- Simon McVittie <smcv@collabora.com>  Tue, 25 Aug 2020 16:15:16 +0100

steamrt (1.20200825.0) scout; urgency=medium

  [ Ludovico de Nittis ]
  * SDK: Co-install libpng12-dev for amd64 and i386
  * ABI: Compare several libxcb-* libraries by counting symbols.
    This lets us choose the right implementation to run a more recent
    container on older host OSs like SteamOS 2 'brewmaster'.
    (T23256, T23266, T23267, T23269, T23271)
  * ABI: Compare libtinfo.so.5 library using symbol version definitions,
    for the same reason. (T23268)

 -- Simon McVittie <smcv@collabora.com>  Tue, 25 Aug 2020 16:10:45 +0100

steamrt (1.20200819.0) scout; urgency=medium

  * SDK: Co-install more packages for amd64 and i386.
    In particular, this provides enough packages to build pressure-vessel
    and steam-runtime-tools for i386 in an amd64 chroot/container, with
    some minor adjustments to debian/rules.

 -- Simon McVittie <smcv@collabora.com>  Wed, 19 Aug 2020 16:36:04 +0100

steamrt (2.20200731.0) soldier; urgency=medium

  * Merge from Steam Runtime 1 'scout'
    - No practical changes
  * Platform: Include ca-certificates.
    Previously these were only included in the SDK via dependencies.

 -- Simon McVittie <smcv@collabora.com>  Fri, 31 Jul 2020 12:45:18 +0100

steamrt (1.20200708.1) scout; urgency=medium

  * ABI: Compare libxcb.so.1 versions by counting symbols.
    This lets us choose the right implementation to run a more recent
    container on SteamOS 2 'brewmaster', even though the library's name has
    been stuck at libxcb.so.1.1.0 since at least 2012. (T22538)

 -- Simon McVittie <smcv@collabora.com>  Wed, 08 Jul 2020 18:39:30 +0100

steamrt (1.20200708.0) scout; urgency=medium

  * tests/sdk/g++-9.t: Refer to gcc-9, not gcc-5.
    This has no practical effect, because we're only using g++ here.
  * Include data telling libcapsule how to compare libgcc_s.so.1.
    We had originally planned to compare all libraries by the tuple
    (versions, name, symbols) rather than by name, but preliminary test
    results indicate that doing so could break as much as it fixes. Instead,
    use an opt-in approach where we configure a non-default comparison for
    libraries that are known to be well-behaved.
    libgcc_s.so.1 is the library where we need to do this most urgently,
    because many distributions install it as a regular file libgcc_s.so.1
    rather than a symlink to libgcc_s.so.1.2.3 or similar, causing the
    default name-based comparison to be unreliable. (T16561)

 -- Simon McVittie <smcv@collabora.com>  Wed, 08 Jul 2020 14:19:54 +0100

steamrt (2.20200708.1) soldier; urgency=medium

  * ABI: Compare libxcb.so.1 versions by counting symbols.
    This lets us choose the right implementation to run a more recent
    container on SteamOS 2 'brewmaster', even though the library's name has
    been stuck at libxcb.so.1.1.0 since at least 2012. (T22538)

 -- Simon McVittie <smcv@collabora.com>  Wed, 08 Jul 2020 18:36:40 +0100

steamrt (2.20200708.0) soldier; urgency=medium

  * debian/.gitignore: Update for addition of apt pinning
  * Include data telling libcapsule how to compare libgcc_s.so.1.
    We had originally planned to compare all libraries by the tuple
    (versions, name, symbols) rather than by name, but preliminary test
    results indicate that doing so could break as much as it fixes. Instead,
    use an opt-in approach where we configure a non-default comparison for
    libraries that are known to be well-behaved.
    libgcc_s.so.1 is the library where we need to do this most urgently,
    because many distributions install it as a regular file libgcc_s.so.1
    rather than a symlink to libgcc_s.so.1.2.3 or similar, causing the
    default name-based comparison to be unreliable. (T16561)
  * ABI: Don't assert that libfl.so.2 is loadable on its own.
    It assumes that the host application will export yylex().

 -- Simon McVittie <smcv@collabora.com>  Wed, 08 Jul 2020 13:46:04 +0100

steamrt (2.20200702.0) soldier; urgency=medium

  [ Simon McVittie ]
  * Merge from Steam Runtime 1 'scout'
    - Add experimental backport of gcc 9, g++ 9 (T21481)
    - Platform, SDK: Add libibus-1.0.so.5.
      In scout, this was new in 1.20200615.0.
      In soldier, this was previously brought in by SDL's dependencies, but
      let's make it official.
  * Platform, SDK: Add libraries required by Proton (T22322):
    - flex and its supporting library libfl
    - libOSMesa.so.8, aka libOSMesa.so.6
    - libv4l2.so.0
    - liblcms2.so.2
    - libxslt
    This currently also adds libv4l1.so.0 and libv4lconvert.so.0 to the
    Platform, and libv4l2rds.so.0 to the SDK, but they are considered to be
    implementation details rather than part of our official ABI.

  [ Ludovico de Nittis ]
  * Add apt pinning preferences (part of T14668)

 -- Simon McVittie <smcv@collabora.com>  Thu, 02 Jul 2020 11:44:06 +0100

steamrt (1.20200625.0) scout; urgency=medium

  [ Ludovico de Nittis ]
  * Set libldap as an alias of libldap_r and adjust the expectations
    accordingly (T21931)

  [ Simon McVittie ]
  * SDK: Add experimental backport of gcc 9, g++ 9.
    This is a single monolithic package, always behaves as though it was
    invoked with -static-libgcc -static-libstdc++, and always uses the
    pre-existing backport of binutils-2.30. (T21481)
  * tests: Check that gcc 9, g++ 9 work correctly
  * tests: Remove unused variable.
    No practical effect, other than silencing shellcheck warnings.

 -- Simon McVittie <smcv@collabora.com>  Thu, 25 Jun 2020 19:28:42 +0100

steamrt (1.20200615.0) scout; urgency=medium

  [ Timothee Besset ]
  * SDK: Add libibus-1.0-dev

 -- Simon McVittie <smcv@collabora.com>  Mon, 15 Jun 2020 19:07:25 +0100

steamrt (1.20200528.0) scout; urgency=medium

  * SDK: Add C and C++ multilib (-m32) support for all gcc versions.
    We use a new example project with no dependencies to test the C path,
    because both GLib and SDL are unavailable for -m32 in our biarch
    containers due to multiarch co-installability issues that were only
    fixed in Debian 10 or later. (Fixes: T21490)

 -- Simon McVittie <smcv@collabora.com>  Thu, 28 May 2020 17:43:04 +0100

steamrt (1.20200421.0) scout; urgency=medium

  [ Ludovico de Nittis ]
  * Platform: Add zenity-common.
    When we use zenity from the Steam Runtime it's safer to use "zenity.ui"
    provided from "zenity-common", because the one from the host might be
    missing or not compatible with the zenity version of the runtime.
    (Fixes: steam-runtime#104, T20665)

 -- Ludovico de Nittis <ludovico.denittis@collabora.com>  Tue, 21 Apr 2020 16:35:08 +0200

steamrt (2.20200529.0) soldier; urgency=medium

  * SDK: Add libsystemd-dev.
    We already have the shared library as a dependency of other libraries,
    so we might as well allow developing against APIs like sd-bus.
    Fixes: T21569
  * SDK: Don't include Java runtime environment.
    This is quite large, so let's not include it in our API guarantees.
    Fixes: T21574

 -- Simon McVittie <smcv@collabora.com>  Fri, 29 May 2020 17:01:05 +0100

steamrt (2.20200513.0) soldier; urgency=medium

  * SDK: Install glslang-dev, libpci-dev, libsndfile1-dev for multiarch
    (T20839)

 -- Simon McVittie <smcv@collabora.com>  Wed, 13 May 2020 11:16:44 +0100

steamrt (2.20200512.0) soldier; urgency=medium

  * SDK: Remove legacy non-multiarch -dbg symbol packages.
    They will be replaced by multiarch -dbgsym packages soon. (T20839)

 -- Simon McVittie <smcv@collabora.com>  Tue, 12 May 2020 18:11:00 +0100

steamrt (2.20200424.0) soldier; urgency=medium

  * Platform, SDK: Add GTK 3
  * SDK: Move SDL2 from non-multiarch to multiarch metapackage.
    Now that we have a multiarch version of libsdl2-dev, we should be able
    to cross-compile most games for i386 in a primarily x86_64 container.

 -- Simon McVittie <smcv@collabora.com>  Fri, 24 Apr 2020 18:03:41 +0100

steamrt (2.20200414.0) soldier; urgency=medium

  * Merge packaging from scout

 -- Simon McVittie <smcv@collabora.com>  Tue, 14 Apr 2020 18:41:10 +0100

steamrt (1.20200414.0) scout; urgency=medium

  * steamrt-container-host-compat: Don't create symlinks to ld.so.
    dpkg-shlibdeps in at least SteamRT 1 'scout' gets confused if it finds
    ld.so in an unexpected directory. We'll have to create the symlinks
    in the Platform and SDK runtimes instead.

 -- Simon McVittie <smcv@collabora.com>  Tue, 14 Apr 2020 18:31:20 +0100

steamrt (2.20200331.0) soldier; urgency=medium

  * Merge packaging from scout
    - Use vulkan-tools{,-multiarch} instead of transitional vulkan-utils
    - Platform, SDK: Add mount points and compat symlinks for
      pressure-vessel to be able to import host system glibc if necessary

 -- Simon McVittie <smcv@collabora.com>  Tue, 31 Mar 2020 20:54:04 +0100

steamrt (1.20200331.0) scout; urgency=medium

  * steamrt-container-host:
    New binary package. Create symlinks and mount points for pressure-vessel

 -- Simon McVittie <smcv@collabora.com>  Tue, 31 Mar 2020 20:31:37 +0100

steamrt (1.20200318.0) scout; urgency=medium

  * Use vulkan-tools{,-multiarch} instead of transitional vulkan-utils
  * d/git-version-gen.control: Add

 -- Simon McVittie <smcv@collabora.com>  Wed, 18 Mar 2020 17:04:42 +0000

steamrt (2.20200318.0) soldier; urgency=medium

  * Merge packaging from scout
    - Add libcapsule-tools-relocatable to Platform
    - Explicitly include dh-autoreconf
  * d/git-version-gen.control: Configure newer versions of
    deb-git-version-gen

 -- Simon McVittie <smcv@collabora.com>  Wed, 18 Mar 2020 12:18:15 +0000

steamrt (2.20200311.0) soldier; urgency=medium

  * Platform: Add some gcc runtime libraries
    - libatomic.so.1 (ValveSoftware/steam-runtime#240)
    - libquadmath.so.0
    - libitm.so.1

 -- Simon McVittie <smcv@collabora.com>  Wed, 11 Mar 2020 16:08:12 +0000

steamrt (2.20200212.0) soldier; urgency=medium

  * Platform: Explicitly add libelf.so.1
  * SDK: Explicitly add libelf-dev
  * tests: Assert that miscellaneous CLI tools exist, even if only as a
    symlink to busybox
  * tests/platform/basic.t: Output valid TAP
  * tests: Put autopkgtests through shellcheck too

 -- Simon McVittie <smcv@collabora.com>  Wed, 12 Feb 2020 13:49:55 +0000

steamrt (2.20200109.0) soldier; urgency=medium

  * Platform: Add python3. Proton's launch script wants this.
  * Add framework for more platform tests, and assert python3 is present
  * CI: Run "make check" to check for pyflakes, mypy, etc. issues

 -- Simon McVittie <smcv@collabora.com>  Thu, 09 Jan 2020 17:37:24 +0000

steamrt (2.20191212.0) soldier; urgency=medium

  * Use correct cross-pkg-config in -m32 tests.
    This ensures that we get the correct GLib headers, which in turn avoids
    assertion failures.
  * Skip -m32 tests on non-x86 architectures.
    The Steam Runtime currently only supports x86, but if we had a version
    that ran on ARM or some other architecture, this test would not be
    applicable there.
  * tests: Check that -m32 compilation produces i386 binaries
  * Install a cross-compiler targeting i386 on amd64.
    This allows for proper multiarch cross-compilation.
    To do this, we have to install gcc-8-multilib, g++-8-multilib instead
    of gcc-multilib and g++-multilib, because the latter conflict with
    multiarch-style cross compilers.
  * SDK: Install multiarch libstdc++ development headers.
    This is necessary if we want clang to be able to cross-compile from
    amd64 to i386 too.
  * debian: Install python3 for build architecture
  * SDK: Add sudo.
    This makes it more straightforward to increase and decrease privileges
    in a SDK container.
  * SDK: Add deb-build-snapshot, a tool to build git snapshots of packages

 -- Simon McVittie <smcv@collabora.com>  Thu, 12 Dec 2019 19:31:25 +0000

steamrt (2.20191127.1) soldier; urgency=medium

  * SDK: Add gcc-5-multilib, g++-5-multilib
  * SDK: Add a test for cc -m32

 -- Simon McVittie <smcv@collabora.com>  Wed, 27 Nov 2019 19:20:48 +0000

steamrt (2.20191127.0) soldier; urgency=medium

  * SDK: Add gcc-5, g++-5
    - tests: Reinstate gcc-5, g++-5 tests from scout branch
  * SDK: Add multilib gcc, g++
  * SDK: Add a more complete text-mode development environment
    - apt-utils, mainly for apt-ftparchive
    - aptitude interactive package manager
    - Autotools build system
    - Bison parser generator
    - bsdmainutils, for hexdump
    - bzip2 compression utility
    - cpio archiver
    - curl downloader, as an alternative to wget for scripts
    - debhelper, required to build nearly all Debian packages
    - devscripts Debian development utilities, for debchange and debuild
    - dpkg-dev
    - fakeroot, for Debian packaging
    - fish, an interactive shell
    - flip, used as an alternative to dos2unix / unix2dos
    - git version control system
    - GLib GObject-Introspection bindings, for parity with SteamRT 1½ 'heavy'
    - gperf perfect hash generator
    - Java runtime environment
    - libtool-bin, for /usr/bin/libtool
    - nano text editor
    - procps (kill, ps, pkill)
    - python (Python 2) for compatibility with older scripts
    - Python 3 debian module, for deb-build-snapshot and sadt
    - rsync file synchronization tool
    - xz compression utilities
    - zip, unzip archivers
  * SDK: Install libcapsule-tools-relocatable for all architectures
  * SDK: Remove unnecessary packages:
    - libasyncns-dev.
      This appears to be present as an implementation detail of PulseAudio
      rather than as a library that is necessary in its own right.
    - fcitx-libs-dev.
      This was inherited from scout, but it's unclear why/whether it was ever
      needed; it was originally added for parity with the -debug Steam Runtime
      tarball. Removing it means we can remove Qt.
    - NetworkManager development files
  * CI: Use SteamRT 2 'soldier' container

 -- Simon McVittie <smcv@collabora.com>  Wed, 27 Nov 2019 12:26:04 +0000

steamrt (2.20191121.0) soldier; urgency=medium

  * Initial Steam Runtime packaging for SteamRT 2 'soldier'
  * Switch branch for SteamRT 2 'soldier', based on Debian 10 'buster'
  * Remove old/deprecated packages:
    - steamrt-container: Drop realpath, provided by coreutils now
    - Remove old clang versions in favour of the default clang 7
    - Remove old gcc versions in favour of the default gcc 8
    - Remove Python 2, superseded by Python 3
    - Remove steamrt-legacy metapackage
    - Remove libgnutls.so.26, superseded by libgnutls.so.30
    - Replace libcurl3 with libcurl4
    - Remove dbus-glib, superseded by GDBus
    - Remove libjson0, no longer available
    - Remove obsolete SDL 1.2 libraries
    - Replace libgcrypt11 with libgcrypt20
    - Remove the obsolete GConf library
    - Replace libtiff4 with libtiff5
    - Replace libpng 1.2 with 1.6
    - Remove s2tc, no longer required for S3TC with recent Mesa versions
    - Replace libva1 with libva2
    - Replace libudev.so.0 with libudev.so.1
    - Remove libtasn-1-3, superseded by libtasn-1-6
    - Replace libglew1.6 and libglew1.10 with libglew2.1
    - Replace libssl.so.1.0.0 with libssl.so.1.1
    - Use non-deprecated Pango packages
    - Replace libidn.so.11 with libidn2.so.0
  * Remove unnecessary libraries:
    - Remove Heimdal and Kerberos libraries
    - Remove GStreamer
    - Remove LDAP libraries
    - Remove liborc
    - Remove FFMPEG libraries
    - Remove SASL libraries
    - Remove RTMP library
    - Remove libcom_err
    - Remove Mozilla NSPR and NSS libraries
    - Remove the Ubuntu appindicator/dbusmenu libraries
    - Remove NetworkManager libraries
    - Remove CUPS printing libraries
    - Remove Canberra widget sound effect library
    - Remove ltdl dlopen() abstraction
    - Remove tdb trivial database library
    - Remove libvpx video codec
    - Remove Xevie and Xprint bindings
    - Remove libkeyutils kernel keyring library
    - Remove libpcrecpp0 C++ Perl-compatible regular expression library
    - Remove libmikmod module player
    - Remove liblcms colour space management library
    - Remove Avahi mDNS implementation
  * Adjust to being a Debian derivative rather than an Ubuntu derivative:
    - Replace libjpeg-turbo8 and libjpeg62 with libjpeg62-turbo
  * Remove packages whose dependencies have not been pruned yet
    (these will need to be revisited in later versions)
    - Drop ALSA plugins for now
    - Drop zenity for now
  * Remove pressure-vessel-relocatable from SDK.
    pressure-vessel is built on SteamRT 1 'scout' as a way to get binaries
    that will work on any host OS at least as new as scout itself. It is not
    useful to include it in newer runtime branches unless we increase the
    minimal dependency for Steam.
  * steamrt-dev: Explicitly depend on psmisc
  * libCgGL is now in its own binary package
  * Use Debian buster package-builder image for build-tests
  * Move most packages from libdevel-non-multiarch to libdevel
  * Remove non-standard GTK engines.
    gdk2-engines-pixbuf is sufficient for the standard GTK 2 theme 'Adwaita'.

 -- Simon McVittie <smcv@collabora.com>  Thu, 21 Nov 2019 13:17:47 +0000

steamrt (1.20191120.0) scout; urgency=medium

  [ Simon McVittie ]
  * d/tests/platform: Add a smoke-test for Platform containers

  [ Ludovico de Nittis ]
  * Add hidden_dependencies metadata for libcg and libtheora0.
    This allows steam-runtime-tools (>= 0.20191112) to check that they
    can be loaded successfully.

 -- Simon McVittie <smcv@collabora.com>  Wed, 20 Nov 2019 18:03:20 +0000

steamrt (1.20191023.0) scout; urgency=medium

  * libs: Add libva{,-drm,-glx,-x11}.so.2 (VA-API 2)
  * libs: Add libva-drm.so.1 (VA-API 1, required for vainfo-1)
  * container, legacy: Add vainfo (VA-API 2 diagnostic) and vainfo-1
    (VA-API 1 diagnostic)
  * libs: Add vainfo-multiarch and vainfo-1-multiarch (VA-API 1 and 2
    diagnostic programs for 32- and 64-bit code)
  * SDK: Move libva-dev from -libdevel-non-multiarch to -libdevel.
    With an updated version of libset-scalar-perl it can be co-installed
    for amd64 and i386.

 -- Simon McVittie <smcv@collabora.com>  Wed, 23 Oct 2019 17:53:25 +0100

steamrt (1.20191004.0) scout; urgency=medium

  * Remove libXxf86dga.so.1 from runtime ABI guarantees and -libdevel again.
    It's pulled into the SDK, but not officially part of the runtime or
    Platform. As a result, we don't want to encourage third party developers
    to compile against it.

 -- Simon McVittie <smcv@collabora.com>  Fri, 04 Oct 2019 14:30:28 +0100

steamrt (1.20191003.0) scout; urgency=medium

  * steamrt-libdebug: Don't include automatic detached debug symbols.
    We can install those packages in a more scalable way by automatically
    trying to install the -dbgsym equivalent of each package installed
    in the Platform runtime.
  * steamrt-libdevel, -libs: Add libXxf86dga.so.1.
    DGA is obsolete, but the library is a dependency for xdpyinfo in
    x11-utils.
  * abi/expectations: Update for new names of libsdl2*-2.0-0

 -- Simon McVittie <smcv@collabora.com>  Thu, 03 Oct 2019 15:14:00 +0100

steamrt (1.20190924.1) scout; urgency=medium

  * Update names of libsdl2* detached debug symbols

 -- Simon McVittie <smcv@collabora.com>  Tue, 24 Sep 2019 18:07:17 +0100

steamrt (1.20190924.0) scout; urgency=medium

  * steamrt-dev: Add glslang-tools (glslangValidator and spirv-remap)
  * steamrt-libdevel: Add glslang-dev
  * Use non-transitional names for libsdl2*
    These libraries have been renamed to their Debian Policy §8.1 names
    libsdl2*-2.0-0 to reflect their actual SONAMEs.

 -- Simon McVittie <smcv@collabora.com>  Tue, 24 Sep 2019 16:59:08 +0100

steamrt (1.20190912.0) scout; urgency=medium

  * steamrt-container: Add locales (glibc locale source data).
    This allows us to generate binary locale data on-demand, for example
    when a system-wide configured locale is missing.
  * abi: Drop libcidn.so.1.
    This is an implementation detail of glibc support for internationalized
    domain names and does not appear to be linked directly by applications,
    so it is not really part of the ABI of the Steam Runtime. In newer
    versions of glibc, libidn2.so.0 is dlopened instead.

 -- Simon McVittie <smcv@collabora.com>  Thu, 12 Sep 2019 14:59:03 +0100

steamrt (1.20190822.0) scout; urgency=medium

  * steamrt-libs: Add vulkan-utils-multiarch, for *-vulkaninfo
  * steamrt-container, steamrt-legacy: Add vulkan-utils, for vulkaninfo
  * steamrt-legacy: Add waffle-utils, for parity with steamrt-container

 -- Simon McVittie <smcv@collabora.com>  Thu, 22 Aug 2019 18:38:47 +0100

steamrt (1.20190820.0) scout; urgency=medium

  * steamrt-dev: Add pressure-vessel and bubblewrap

 -- Simon McVittie <smcv@collabora.com>  Tue, 20 Aug 2019 18:47:51 +0100

steamrt (1.20190813.0) scout; urgency=medium

  * steamrt-dev: Add bear, a compilation database that stores build commands
  * steamrt-dev: Add ccache
  * steamrt-dev: Add scons build system
  * steamrt-dev: Add debugging/diagnostic tools:
    - ltrace
    - strace
    - vdpauinfo
    - x11-utils (mainly for xprop)
  * tests/sdk: Add smoke-tests for bear, ccache, ltrace, strace
  * tests: Include tests/sdk/*.py in Python checks

 -- Simon McVittie <smcv@collabora.com>  Tue, 13 Aug 2019 18:51:53 +0100

steamrt (1.20190808.0) scout; urgency=medium

  * steamrt-container, steamrt-legacy: Add steam-runtime-tools-bin.
    This provides the steam-runtime-system-info CLI driver for
    libsteam-runtime-tools, which is hopefully a useful diagnostic tool.
  * generate-expectations: Be more Python-3.2-friendly.
    The default python3 on scout doesn't have FileNotFoundError.
  * abi: Add the concept of libraries whose ABI we don't check.
    - Don't check libtheoraenc.so.1.
      libtheoraenc.so.1 has an undefined symbol th_comment_query_count
      which appears to be provided by libtheoradec.so.1, so in principle
      it ought to be linked to (have a DT_NEEDED dependency on)
      libtheoradec.so.1, but this doesn't seem particularly important for
      the Steam Runtime's purposes.
    - Don't check libthread_db.so.1.
      libthread_db.so.1 is used by debuggers like gdb, and expects the
      debugger to export some magic symbols. The generic check for shared
      library functionality in steam-runtime-tools can't be expected to do
      this; if we want to verify that this library is working as intended,
      the way to do that would be to test that gdb is working, which we
      already do in tests/sdk/gdb.t. (A useful reference:
      <http://timetobleed.com/notes-about-an-odd-esoteric-yet-incredibly-useful-library-libthread_db/>)
    - Don't check libCgGL.so
      libCgGL.so has an undefined reference to glTexCoordPointer that is
      not satisfied by any of its DT_NEEDED dependencies, and we cannot
      relink it against libGL because it is a binary-only library from NVIDIA.
  * abi: Combine libc6 symbols files into one big file as intended.

 -- Simon McVittie <smcv@collabora.com>  Thu, 08 Aug 2019 15:58:12 +0100

steamrt (1.20190806.0) scout; urgency=medium

  * New dependencies:
    - steamrt-libs: Add libwaffle-1.so.0
    - steamrt-libs: Add libjson-glib-1.0.so.0
    - steamrt-libs: Add waffle-utils-multiarch.
      Installing this for both amd64 and i386 is useful as a way to probe for
      working or non-working GL stacks with various window-system interfaces
      and rendering interfaces.
      Also add the non-architecture-prefixed version to steamrt-container,
      for better command-line convenience.
    - steamrt-libs: Add libsteam-runtime-tools-0.so.0.
      This Steam-specific library provides various bits of system
      information. It should not be used by games and applications (yet).
    - steamrt-dev: Explicitly depend on steamrt-libs.
      Otherwise we can't necessarily guarantee that the SDK has everything
      that the Platform does, or everything that the LD_LIBRARY_PATH runtime
      does.
  * Generate dependencies of steamrt-libs from a YAML file.
    This partially decouples the definition of what's in the Steam Runtime
    from the package names: what actually matters for our ABI is their
    SONAMEs. The Debian package name can be machine-generated from the
    SONAME in most cases. Where it can't, we can list exceptions.
    - steamrt-dev: Add python3-yaml.
      This is now a build-dependency for steamrt itself. Including it in the
      SDK helps to keep the SDK self-contained.
    - Install SteamRT ABI descriptions in the steamrt-libs binary package,
      including a JSON form of the YAML source.
      This will let us use them later to check that the libraries we have
      (including any LD_LIBRARY_PATH or LD_PRELOAD overrides) are
      binary-compatible with the libraries that games rely on.
      JSON is easier to process in a constrained environment than YAML, and
      in particular is understood by json-glib, json-c and the Python 2.7
      standard library.
    - tests: Assert that the SDK contains all the libraries we want.
      This acts as an assertion that the SDK has at least the same ABI as
      the LD_LIBRARY_PATH Steam Runtime.
    - Add a script to detect unexpected libraries in LD_LIBRARY_PATH runtime.
      This effectively asserts that we have not added libraries to the
      traditional LD_LIBRARY_PATH Steam Runtime without also adding them
      to the machine-readable ABI definition.
  * Add a script to generate symbols files for steam-runtime-tools.
    These are committed to git so that we can handle updated and newly-added
    libraries as something that goes through code review if desired:
    editing these files effectively means we are expanding the ABI of
    the Steam Runtime.
  * CI:
    - Combine all SDK tests into one big test script.
      autopkgtest spends a long time running apt to set up the container for
      each autopkgtest-level test, so it's advantageous to combine tests with
      the same dependencies into one big test.
    - debian/gitlab-ci.yml: use steam-ci-pipeline.
      Because scout is so old, its SDK environment is too old to run
      deb-build-snapshot. Instead, we do that step in a Debian 10 'buster'
      environment, and hand over the artifacts from that to the autopkgtest
      step.
  * d/copyright: Update

 -- Simon McVittie <smcv@collabora.com>  Tue, 06 Aug 2019 13:37:06 +0100

steamrt (1.20190624.0) scout; urgency=medium

  * steamrt-libdevel: Add libcasefold-dev on both architectures
    - steamrt-libdevel-non-multiarch: Drop libcasefold-dev [amd64],
      superseded by the above

 -- Simon McVittie <smcv@collabora.com>  Mon, 24 Jun 2019 17:40:51 +0100

steamrt (1.20190618.0) scout; urgency=medium

  * Add a build-time syntax check for shell scripts
  * steamrt-dev: Add gcc-5 and g++-5.
    These have been available in the apt repositories for a while, but
    were not preinstalled in SDKs until now. gcc-4.8 is still the default
    compiler.
  * steamrt-dev: Add clang-3.8.
    As with gcc 5, this has been available in the apt repositories for a
    while, but wasn't preinstalled in SDK environments. lldb-3.6 continues
    to be the only LLVM-based debugger installed.
  * Add test coverage for compiling with clang and clang++, with the
    default clang version and all alternative versions.

 -- Simon McVittie <smcv@collabora.com>  Tue, 18 Jun 2019 19:56:56 +0100

steamrt (1.20190515.0) scout; urgency=medium

  * Add a test to assert that the SDK contains psmisc (pstree)
  * Add tests to assert that the SDK contains working python and python3
  * Rename meson example/test to meson-glib to be consistent with other
    branches
  * Add a test for linking to SDL2 using Meson

 -- Simon McVittie <smcv@collabora.com>  Wed, 15 May 2019 11:57:27 +0100

steamrt (1.20190409.0) scout; urgency=medium

  * steamrt-dev: Add meson build system, including ninja-build
  * steamrt-dev: Explicitly include python and python3.
    These would be pulled in by lldb-3.6 and Meson respectively but seem
    worthwhile to be guaranteed to be available.
  * steamrt-libdevel: Add libcapsule-dev and libcapsule-tools-relocatable
  * Normalize dependency lists with `wrap-and-sort -abst`
  * Add steamrt-libdebug, steamrt-libdebug-non-multiarch packages
  * Add test coverage for Meson build system
  * steamrt-dev: Add less.
    A pager is a useful tool to have in the SDK.
  * steamrt-dev: Add busybox.
    This gives us lightweight versions of various common/basic tools,
    notably dos2unix, unix2dos, basic network tools and a cut-down vi
    implementation.

 -- Simon McVittie <smcv@collabora.com>  Tue, 09 Apr 2019 17:27:55 +0100

steamrt (1.20190403.0) scout; urgency=medium

  * steamrt-dev: Add gcc-4.8 and g++-4.8.
    These have been announced to be the default C and C++ compilers for
    games targeting the Steam Runtime environment.
  * steamrt-dev: Explicitly include gcc-4.6 and g++-4.6.
    These were the default C and C++ compilers in Ubuntu 12.04, and are
    used to compile most packages in the Steam Runtime itself.
  * steamrt-dev: Add clang-3.4 and clang-3.6.
    These are provided as alternative C and C++ compilers.
  * steamrt-dev: Add lldb-3.6.
    This is LLVM's alternative to gdb. bootstrap-runtime.sh has historically
    tried to install both lldb-3.6 and lldb-3.4, but they conflict, so the
    practical result is that only lldb-3.6 was available.
  * steamrt-dev: Add make.
    cmake doesn't pull this in as a hard dependency, but we'd better
    have it.
  * steamrt-dev: Add build-essential.
    This is installed explicitly by bootstrap-runtime.sh.
  * steamrt-dev: Add gdbserver, libcc1-0, libtool.
    In the schroot these have historically been pulled in by Recommends,
    but we don't install Recommends in container-based environments.

 -- Simon McVittie <smcv@collabora.com>  Wed, 03 Apr 2019 13:23:57 +0100

steamrt (1.20190320.0) scout; urgency=medium

  * Use a branch- and date-based versioning scheme
  * steamrt-dev: Explicitly include perl in the SDK.
    This is useful as a scripting language and to run tests with prove(1).
    It has historically been pulled in by libva-dev anyway.
  * steamrt-dev: Add pkg-config.
    This is frequently used to find libraries, and is installed explicitly
    by bootstrap-runtime.sh.
  * steamrt-dev: Add time.
    This is frequently assumed to be present (when not a shell builtin),
    and is installed explicitly by bootstrap-runtime.sh.
  * steamrt-dev: Add wget.
    This is commonly used to download dependencies, and is installed
    explicitly by bootstrap-runtime.sh.
  * steamrt-dev: Add cmake.
    This is a popular build system, and is installed explicitly by
    bootstrap-runtime.sh.
  * steamrt-dev: Add gdb.
    This is necessary for debugging, and is installed explicitly by
    bootstrap-runtime.sh.
  * steamrt-libs: Drop libcggl.
    This is a virtual package provided by libcg rather than a separate
    package.
  * steamrt-dev: Split out steamrt-libdevel-non-multiarch
  * Install metapackages with a lockstep version number
  * steamrt-dev: Include steamrt-container
  * steamrt-libdevel-non-multiarch: Add fcitx-libs-dev, libmpg123-dev,
    libvulkan-dev for parity with -debug Steam Runtime tarball
  * steamrt-libdevel-non-multiarch: Depend on libgnutls-dev (>= 3.4)
    instead of transitional libgnutls28-dev
  * steamrt-legacy: Add new metapackage encapsulating miscellaneous
    packages that go in Steam Runtime tarballs
  * examples, tests/sdk, debian/tests: Add simple autopkgtests for the SDK.
    We can run these inside a SDK schroot or container with
    autopkgtest(1), sadt(1) or prove(1) as an acceptance test to demonstrate
    that a new SDK build works.
  * d/.gitignore: Add

 -- Simon McVittie <smcv@collabora.com>  Wed, 20 Mar 2019 13:06:22 +0000

steamrt (0.1+steamrt6) scout; urgency=medium

  * Add metapackages that pull in Steam Runtime libraries.
    This should mean that we don't need to list them all individually
    when building containers.

 -- Simon McVittie <smcv@collabora.com>  Wed, 13 Feb 2019 17:26:25 +0000

steamrt (0.1+steamrt5) scout; urgency=medium

  * Include libcasefold, for amd64 only

 -- Simon McVittie <smcv@collabora.com>  Mon, 11 Feb 2019 18:26:26 +0000

steamrt (0.1+steamrt4) scout; urgency=medium

  * Remove empty debian/docs
  * Normalize packaging with wrap-and-sort -abst
  * d/gbp.conf: Add
  * Update package list for GNUTLS 3.4
    - Replace libgnutls-dev with libgnutls28-dev
    - Replace libtasn1-3-dev with libtasn1-6-dev
    - Add nettle-dev (which is depended on by libgnutls28-dev anyway, but
      adding it explicitly avoids it vanishing if a later GNUTLS stops
      using nettle)

 -- Simon McVittie <smcv@collabora.com>  Tue, 04 Dec 2018 20:12:42 +0000

steamrt (0.1+steamrt3) scout; urgency=medium

  * Replace libjack-dev with libjack-jackd2-dev

 -- Scott Ludwig <scottlu@valvesoftware.com>  Mon, 19 May 2014 13:42:17 -0700

steamrt (0.1+steamrt2) scout; urgency=low

  * Remove dummygl-dev as a dependency

 -- Scott Ludwig <scottlu@valvesoftware.com>  Thu, 01 May 2014 15:28:37 -0700

steamrt (0.1+steamrt1) scout; urgency=low

  * Fix Typo.

 -- Scott Ludwig <scottlu@valvesoftware.com>  Thu, 01 May 2014 14:45:50 -0700

steamrt (0.1) stable; urgency=low

  * Initial Release.

 -- Scott Ludwig <scottlu@valvesoftware.com>  Thu, 01 May 2014 11:46:10 -0800
